Skip to Content
New release 12 available 🎉
API ReferenceManagementOrder Products and Licenses

Order Products and Licenses

All PUT endpoints update only the fields present in the body; see Updating Resources.

GET/v1/orders/{orderId}/productsGET /v1/orders/{orderId}/products

Code samples

# You can also use wget curl -X GET /v1/orders/{orderId}/products \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/orders/\{orderId\}/products

Gets the products for a specific order.

Parameters

NameInTypeRequiredDescription
orderIdpathinteger(int32)trueThe order ID.
selectquerystringfalsenone
filterquerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone
includequerystringfalsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","orderProducts":[{"productId":0,"orderId":0,"quantity":0,"unitPrice":0.1,"discount":0.1,"taxes":0.1,"description":"string","product":{"id":0,"code":"string","name":"string","description":"string","url":"string","copyright":"string","createdAt":"2019-08-24T14:15:22Z","image":"string","price":0.1,"resellerPrice":0.1,"currency":"string","signatureKeysId":0,"meta":"string","isApplication":true,"updateChannelDefault":"string","renewalUrl":"string","signatureKeys":{"id":0,"name":"string","type":"string","code":"string","description":"string","source":"string","password":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","data":"string","dataFormat":"string","meta":"string"},"productOrders":[{}]},"order":{"id":0,"orderNumber":"string","status":"string","processedBy":"string","purchaseOrder":"string","total":0.1,"currency":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","invoiceNumber":"string","paymentType":"string","paymentNumber":"string","paymentStatus":"string","paymentDate":"2019-08-24T14:15:22Z","description":"string","customerId":0,"customer":{"id":0,"title":"string","firstName":"string","lastName":"string","company":"string","code":"string","vatCode":"string","invoiceCode":"string","rating":0,"createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","address":"string","address1":"string","address2":"string","postalCode":"string","region":"string","city":"string","country":"string","countryCode":"string","mapCoordinates":"string","mapZoomLevel":0.1,"email":"string","phone":"string","mobile":"string","fax":"string","website":"string","notes":"string","isReseller":true,"image":"string","meta":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}]},"resellerId":0}}],"totalOrderProductsCount":0}
{ "success": true, "code": 0, "message": "string", "orderProducts": [ { "productId": 0, "orderId": 0, "quantity": 0, "unitPrice": 0.1, "discount": 0.1, "taxes": 0.1, "description": "string", "product": { "id": 0, "code": "string", "name": "string", "description": "string", "url": "string", "copyright": "string", "createdAt": "2019-08-24T14:15:22Z", "image": "string", "price": 0.1, "resellerPrice": 0.1, "currency": "string", "signatureKeysId": 0, "meta": "string", "isApplication": true, "updateChannelDefault": "string", "renewalUrl": "string", "signatureKeys": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" }, "productOrders": [ {} ] }, "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } } ], "totalOrderProductsCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetOrderProductsResponse

Authentication: API key (x-api-key).

POST/v1/orders/{orderId}/products/{productId}POST /v1/orders/{orderId}/products/{productId}

Code samples

# You can also use wget curl -X POST /v1/orders/{orderId}/products/{productId} \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/orders/\{orderId\}/products/\{productId\}

Inserts a new product order.

Body parameter

{ "productOrder": { "productId": 0, "orderId": 0, "quantity": 0, "unitPrice": 0.1, "discount": 0.1, "taxes": 0.1, "description": "string", "product": { "id": 0, "code": "string", "name": "string", "description": "string", "url": "string", "copyright": "string", "createdAt": "2019-08-24T14:15:22Z", "image": "string", "price": 0.1, "resellerPrice": 0.1, "currency": "string", "signatureKeysId": 0, "meta": "string", "isApplication": true, "updateChannelDefault": "string", "renewalUrl": "string", "signatureKeys": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" }, "productOrders": [ {} ] }, "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } } }

Parameters

NameInTypeRequiredDescription
orderIdpathinteger(int32)trueThe order ID.
productIdpathinteger(int32)trueThe product ID.
bodybodyManagement.InsertProductOrderRequestfalseThe request containing the details of the product order to insert.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.InsertProductOrderResponse

Authentication: API key (x-api-key).

PUT/v1/orders/{orderId}/products/{productId}PUT /v1/orders/{orderId}/products/{productId}

Code samples

# You can also use wget curl -X PUT /v1/orders/{orderId}/products/{productId} \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/orders/\{orderId\}/products/\{productId\}

Updates an existing product order.

Body parameter

{ "productOrder": { "productId": 0, "orderId": 0, "quantity": 0, "unitPrice": 0.1, "discount": 0.1, "taxes": 0.1, "description": "string", "product": { "id": 0, "code": "string", "name": "string", "description": "string", "url": "string", "copyright": "string", "createdAt": "2019-08-24T14:15:22Z", "image": "string", "price": 0.1, "resellerPrice": 0.1, "currency": "string", "signatureKeysId": 0, "meta": "string", "isApplication": true, "updateChannelDefault": "string", "renewalUrl": "string", "signatureKeys": { "id": 0, "name": "string", "type": "string", "code": "string", "description": "string", "source": "string", "password": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "data": "string", "dataFormat": "string", "meta": "string" }, "productOrders": [ {} ] }, "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 } } }

Parameters

NameInTypeRequiredDescription
orderIdpathinteger(int32)trueThe order ID.
productIdpathinteger(int32)trueThe product ID.
bodybodyManagement.UpdateProductOrderRequestfalseThe request containing the details of the product order to update.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateProductOrderResponse

Authentication: API key (x-api-key).

DELETE/v1/orders/{orderId}/products/{productId}DELETE /v1/orders/{orderId}/products/{productId}

Code samples

# You can also use wget curl -X DELETE /v1/orders/{orderId}/products/{productId} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/orders/\{orderId\}/products/\{productId\}

Deletes a specific product order.

Parameters

NameInTypeRequiredDescription
orderIdpathinteger(int32)trueThe order ID.
productIdpathinteger(int32)trueThe product ID.

Example responses

200 Response

{"success":true,"code":0,"message":"string"}
{ "success": true, "code": 0, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteProductOrderResponse

Authentication: API key (x-api-key).

GET/v1/orders/{orderId}/licensesGET /v1/orders/{orderId}/licenses

Code samples

# You can also use wget curl -X GET /v1/orders/{orderId}/licenses \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/orders/\{orderId\}/licenses

Gets the licenses for a specific order.

Parameters

NameInTypeRequiredDescription
orderIdpathinteger(int32)trueThe order ID.
selectquerystringfalsenone
filterquerystringfalsenone
sortquerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"success":true,"code":0,"message":"string","licenses":[{"id":0,"licenseId":"string","licenseType":"string","format":0,"description":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","issueDate":"2019-08-24T14:15:22Z","expireDate":"2019-08-24T14:15:22Z","supportExpireDate":"2019-08-24T14:15:22Z","revoked":true,"trace":true,"licenseKey":"string","maxAllowedSites":0,"userKey":"string","licensingMode":0,"licenseeName":"string","licenseeCompany":"string","licenseeEmail":"string","hash":"string","meta":"string","templateId":0,"signatureKeysId":0,"customerId":0,"orderId":0,"product":{"id":"string","name":"string","version":"string","copyright":"string","url":"string","description":"string"},"order":{"id":0,"orderNumber":"string","status":"string","processedBy":"string","purchaseOrder":"string","total":0.1,"currency":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","invoiceNumber":"string","paymentType":"string","paymentNumber":"string","paymentStatus":"string","paymentDate":"2019-08-24T14:15:22Z","description":"string","customerId":0,"customer":{"id":0,"title":"string","firstName":"string","lastName":"string","company":"string","code":"string","vatCode":"string","invoiceCode":"string","rating":0,"createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","address":"string","address1":"string","address2":"string","postalCode":"string","region":"string","city":"string","country":"string","countryCode":"string","mapCoordinates":"string","mapZoomLevel":0.1,"email":"string","phone":"string","mobile":"string","fax":"string","website":"string","notes":"string","isReseller":true,"image":"string","meta":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}]},"resellerId":0},"customer":{"id":0,"title":"string","firstName":"string","lastName":"string","company":"string","code":"string","vatCode":"string","invoiceCode":"string","rating":0,"createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","address":"string","address1":"string","address2":"string","postalCode":"string","region":"string","city":"string","country":"string","countryCode":"string","mapCoordinates":"string","mapZoomLevel":0.1,"email":"string","phone":"string","mobile":"string","fax":"string","website":"string","notes":"string","isReseller":true,"image":"string","meta":"string","contacts":[{"id":0,"title":"string","firstName":"string","lastName":"string","email":"string","phone":"string","mobile":"string","fax":"string","details":"string","notify":true,"customerId":0,"meta":"string"}]},"template":{"id":0,"name":"string","code":"string","licenseType":"string","format":0,"licensingMode":0,"licenseFileName":"string","issueDate":true,"expireDays":0,"supportDays":0,"generateKeyInfo":true,"userKey":"string","description":"string","template":"string","productId":0,"signatureKeysId":0,"releaseId":0,"product":{"id":"string","name":"string","version":"string","copyright":"string","url":"string","description":"string"},"components":["string"],"assemblies":[{"id":0,"name":"string","version":"string","culture":"string","publicKeyToken":"string","mappingFileId":0,"debugSymbolsKey":"string"}],"fields":[{"name":"string","value":"string"}],"features":[{"id":"string","name":"string","description":"string","expireDate":"2019-08-24T14:15:22Z","key":"string","data":"string"}],"restrictions":[{"id":"string","name":"string","expireDate":"2019-08-24T14:15:22Z","properties":{"property1":"string","property2":"string"},"customXmlContent":"string"}]},"licensee":{"name":"string","company":"string","contactInfo":"string","url":"string"},"components":["string"],"assemblies":[{"id":0,"name":"string","version":"string","culture":"string","publicKeyToken":"string","mappingFileId":0,"debugSymbolsKey":"string"}],"fields":[{"name":"string","value":"string"}],"features":[{"id":"string","name":"string","description":"string","expireDate":"2019-08-24T14:15:22Z","key":"string","data":"string"}],"restrictions":[{"id":"string","name":"string","expireDate":"2019-08-24T14:15:22Z","properties":{"property1":"string","property2":"string"},"customXmlContent":"string"}]}],"totalLicensesCount":0}
{ "success": true, "code": 0, "message": "string", "licenses": [ { "id": 0, "licenseId": "string", "licenseType": "string", "format": 0, "description": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "issueDate": "2019-08-24T14:15:22Z", "expireDate": "2019-08-24T14:15:22Z", "supportExpireDate": "2019-08-24T14:15:22Z", "revoked": true, "trace": true, "licenseKey": "string", "maxAllowedSites": 0, "userKey": "string", "licensingMode": 0, "licenseeName": "string", "licenseeCompany": "string", "licenseeEmail": "string", "hash": "string", "meta": "string", "templateId": 0, "signatureKeysId": 0, "customerId": 0, "orderId": 0, "product": { "id": "string", "name": "string", "version": "string", "copyright": "string", "url": "string", "description": "string" }, "order": { "id": 0, "orderNumber": "string", "status": "string", "processedBy": "string", "purchaseOrder": "string", "total": 0.1, "currency": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "invoiceNumber": "string", "paymentType": "string", "paymentNumber": "string", "paymentStatus": "string", "paymentDate": "2019-08-24T14:15:22Z", "description": "string", "customerId": 0, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "resellerId": 0 }, "customer": { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "company": "string", "code": "string", "vatCode": "string", "invoiceCode": "string", "rating": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "address": "string", "address1": "string", "address2": "string", "postalCode": "string", "region": "string", "city": "string", "country": "string", "countryCode": "string", "mapCoordinates": "string", "mapZoomLevel": 0.1, "email": "string", "phone": "string", "mobile": "string", "fax": "string", "website": "string", "notes": "string", "isReseller": true, "image": "string", "meta": "string", "contacts": [ { "id": 0, "title": "string", "firstName": "string", "lastName": "string", "email": "string", "phone": "string", "mobile": "string", "fax": "string", "details": "string", "notify": true, "customerId": 0, "meta": "string" } ] }, "template": { "id": 0, "name": "string", "code": "string", "licenseType": "string", "format": 0, "licensingMode": 0, "licenseFileName": "string", "issueDate": true, "expireDays": 0, "supportDays": 0, "generateKeyInfo": true, "userKey": "string", "description": "string", "template": "string", "productId": 0, "signatureKeysId": 0, "releaseId": 0, "product": { "id": "string", "name": "string", "version": "string", "copyright": "string", "url": "string", "description": "string" }, "components": [ "string" ], "assemblies": [ { "id": 0, "name": "string", "version": "string", "culture": "string", "publicKeyToken": "string", "mappingFileId": 0, "debugSymbolsKey": "string" } ], "fields": [ { "name": "string", "value": "string" } ], "features": [ { "id": "string", "name": "string", "description": "string", "expireDate": "2019-08-24T14:15:22Z", "key": "string", "data": "string" } ], "restrictions": [ { "id": "string", "name": "string", "expireDate": "2019-08-24T14:15:22Z", "properties": { "property1": "string", "property2": "string" }, "customXmlContent": "string" } ] }, "licensee": { "name": "string", "company": "string", "contactInfo": "string", "url": "string" }, "components": [ "string" ], "assemblies": [ { "id": 0, "name": "string", "version": "string", "culture": "string", "publicKeyToken": "string", "mappingFileId": 0, "debugSymbolsKey": "string" } ], "fields": [ { "name": "string", "value": "string" } ], "features": [ { "id": "string", "name": "string", "description": "string", "expireDate": "2019-08-24T14:15:22Z", "key": "string", "data": "string" } ], "restrictions": [ { "id": "string", "name": "string", "expireDate": "2019-08-24T14:15:22Z", "properties": { "property1": "string", "property2": "string" }, "customXmlContent": "string" } ] } ], "totalLicensesCount": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetOrderLicensesResponse

Authentication: API key (x-api-key).

Last updated on